Bug 127216 - CDROM cannot be unmounted using KDE GUI on Fedora 2 Final
CDROM cannot be unmounted using KDE GUI on Fedora 2 Final
Product: Fedora
Classification: Fedora
Component: kdeutils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-07-04 09:45 EDT by Goran Blagojevic
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-25 15:47:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Goran Blagojevic 2004-07-04 09:45:16 EDT
Description of problem:
It is possible to mount CDROM using KDE link to device tool, but it
cannot be unmounted. It is reported that device is busy and it is
needed to logout and login. That was not a problem on previous
versions of Fedora / Red Hat.

Version-Release number of selected component (if applicable):
mount: mount-2.12

How reproducible:
It is always reproducible when you use KDE link to device tool in
order to mounting and unmounting CDROM.

Steps to Reproduce:
1. Put CD media into CD device
2. Click by right mouse button on KDE link to device icon on desktop
3. Click on mount menu item
4. Wait for a while. It is reported that device is mounted when you
get a green triangle on the lower right corner of KDE link to device icon
5. When device is mounted click by right mouse on KDE link to device
icon on desktop
6. Click on unmount menu item
Actual results:
You get two (!?) messages that device is busy and cannot be unmounted

Expected results:
It is excpected that device is unmounted.

Additional info:
I can logoff and login and then unmounting a device, but it is a very
strange way. That is why I have written a script containing only two
umount -l <device>
eject <device>
and I have made KDE link to application that refer to my script.
It is not too hard for me unmounting using console, but it is hard for
my five years old dotter.
Comment 1 Matthew Miller 2005-04-26 11:30:05 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 John Thacker 2006-10-25 15:47:01 EDT
Closed per above message and lack of response.  Note that FC2 is not even
supported by Fedora Legacy currently.

Note You need to log in before you can comment on or make changes to this bug.